#include "StdAfx.h"
#include ".\bmsmaterial.hpp"

namespace Lmt {
namespace Max2Bms {
	BmsMaterial::BmsMaterial( void ) {
		this->Clear();
	}

	BmsMaterial::~BmsMaterial( void ) {
	}

	wstring BmsMaterial::GetSoundPath( AlphaDecimal identifier ) const {
		if (identifier.IsOutOfRange() == true) {
			return L"";
		}
		return m_sounds[identifier.Get()].path;
	}

	void BmsMaterial::SetSoundPath( AlphaDecimal identifier, const wstring &path ) {
		if (identifier.IsOutOfRange() == false) {
			m_sounds[identifier.Get()].path = path;
		}
	}

	void BmsMaterial::Clear( void ) {
		Material mat;

		mat.path = L"";

		m_sounds.clear();
		m_sounds.insert( m_sounds.end(), MaxMaterialCount, mat );
	}
}
}
