#pragma once

#include "AlphaDecimal.hpp"

namespace Lmt {
namespace Max2Bms {
	class BmsMaterial {
	public:
		BmsMaterial( void );
		~BmsMaterial( void );
		wstring GetSoundPath( AlphaDecimal identifier ) const;
		void SetSoundPath( AlphaDecimal identifier, const wstring &path );
//		wstring GetImagePath( AlphaDecimal identifier ) const;
//		void SetImagePath( AlphaDecimal identifier, const wstring &path );
		void Clear( void );
	public:
		static const int MaxMaterialCount = AlphaDecimal::MaxValue + 1;
	private:
		struct Material {
			wstring path;
		};
	private:
		typedef vector<Material>  MaterialArray;
		MaterialArray m_sounds;
//		MaterialArray m_images;
	};
}
}
