#pragma once
#pragma pack(push)
#pragma pack(1)
namespace Lmt {
namespace Max2Bms {
	struct DjmaxScoreHeader {
		unsigned char signature[4];  //"PTFF"
		unsigned char unknown01[8];
		unsigned short numberOfEztr;   //gbN
		unsigned char unknown02[2];
		unsigned char unknown03[6];
		unsigned short numberOfSound;  //TEhf[^̐
	};
	
	struct DjmaxFileEntry {
		unsigned char identifier;  //Identifier of this entry
		unsigned char flags;
		char fileName[64];
	};
	
	struct DjmaxTrackHeader {
		char signature[4];          //"EZTR"
		unsigned char padding1[2];  //0
		char trackName[64];         //gbN̖Oiėǂj
		unsigned long lastPosition; //̃gbN̍ŏIʒu
		unsigned long dataLength;   //gbNf[^̒i11Ŋ؂͂j
//		unsigned char trackData[dataLength];
	};
	
	struct DjmaxTrackObject {
		unsigned long position;    //ʒui\192ŕ\Ăj
		unsigned char objectType;  //IuWFNg̎
		unsigned char detail[6];  //ef[^
	};
	
	//IuWFNg̏ڍ׃f[^
	struct DjmaxTrackDetailSound {
		unsigned char identifier;  //TEh̎ʎq
		unsigned char unknown[3];  //킩炎
		unsigned short length;     //̒@6ȉ(32)ŒPm[g@ŃOm[g
	};

	struct DjmaxTrackDetailTempo {
		float tempo;               //VBPM
		unsigned char notUsed[2];  //gpH
	};

	//track datȁ
	//01 no nameiBPM`j@gpĂȂ͗l
	//02 Dummy
	//03 Dummy 2
	//04 (1P)Line 1 `
	//05 (1P)Line 2 `
	//06 (1P)Line 3 `
	//07 (1P)Line 4 `
	//08 (1P)Line 5 `
	//09 (1P)Line 6 `Ȃ
	//10 (1P)Line 7 `Ȃ
	//11 (1P)Scratch `
	//12 (1P)Pedal `
	//13 (2P)Line 1 `Ȃ
	//14 (2P)Line 2 `Ȃ
	//15 (2P)Line 3 `Ȃ
	//16 (2P)Line 4 `Ȃ
	//17 (2P)Line 5 `Ȃ
	//18 (2P)Line 6 `Ȃ
	//19 (2P)Line 7 `Ȃ
	//20 (2P)Scratch `Ȃ
	//21 (2P)Pedal `Ȃ
	//22 Lights
	//23 BG 1
	//24 BG 2
	//25 BG 3
	//26 BG 4
	//27 BG 5
	//28 BG 6
	//29 BG 7
	//30 BG 8
	//31 BG 9
	//32 BG 10
	//33 no name `
	//34 no name `
	//35 no name
	//36 no name
	//37 no name
	//38 ChangeBPM
	//39 no name
	//40 no name
	//41 no name
	//42 no name
	//43 no name
	//44 no name
	//45 no name
	//46 no name
	//47 no name
	//48 no name
	//49 no name
	//50 no name
	//51 no name
	//52 no name
	//53 no name
	//54 no name
	//55 no name
	//56 no name
	//57 no name
	//58 no name
	//59 no name
	//60 no name
	//61 no name
	//62 no name
	//63 no name
	//64 no name
}
}

#pragma pack(pop)