// pthash.cpp : R\[ AvP[ṼGg |Cg`܂B
//

#include "stdafx.h"
#include "PatternFile.hpp"
#include "Utility.hpp"

using namespace Lmt;
using namespace Lmt::Max2Bms;

void usage() {
	cerr << "pthash <input>" << endl;
	cerr << endl;
	cerr << "<input>  DJMAX Pattern file (*.pt)" << endl;
}

int main( int argc, char *argv[] ) {
	locale::global( locale( "jpn", locale::ctype ) );

	PatternFile pt;

	if (argc < 2) {
		usage();
		goto quit;
	}
	if ((strcmp( argv[1], "-h" ) == 0) || (strcmp( argv[1], "--help" ) == 0)) {
		usage();
		goto quit;
	}

	wcout << Utility::StringToWString( argv[1] ) << L"\t";

	if (pt.Load( Utility::StringToWString( argv[1] ) ) != PtLoadOk) {
		wcout << L"Failed." << endl;
	}
	else {
		wcout << pt.GetHash() << endl;
	}

quit:
#ifdef _DEBUG
//	cin.get();
#endif
	return 0;
}
