#pragma once

#include "AlphaDecimal.hpp"

namespace Lmt {
namespace Max2Bms {
	class BmsMeasure {
	public:
		BmsMeasure( void );
		~BmsMeasure( void );
		wstring ToString( void ) const;
		wstring ToHexString( void ) const;
		AlphaDecimal & operator []( int index );
	public:
		static const int Resolution = 192;
	private:
		int Optimize() const;
		wstring ToStringInner( bool hex ) const;
	private:
		static bool m_init;
		static int m_gcds[Resolution];
		AlphaDecimal m_values[Resolution];
	};
}
}
