#pragma once

namespace Lmt {
	class Utility {
	public:
		static bool CreateDirectory( const wstring &path );
		static bool IsDirectoryExists( const wstring &path );
		static bool IsExtensionMatched( const wstring &path, const wstring &ext );
		static void AntiOverRun( char *str, size_t length );
		static wstring GetProgramFilesDirectory();
		static wstring GetCurrentDirectory();
		static wstring CombinePath( const wstring &left, const wstring &right );
		static wstring AddBackSlash( const wstring &path );
		static wstring AddExtension( const wstring &path, const wstring &extension );
		static wstring ChangeExtension( const wstring &source, const wstring &newExt );
		static wstring GetFileNameFromPath( const wstring &path );
		static wstring GetDirectoryFromPath( const wstring &path );
		static wstring GetExtensionFromPath( const wstring &path );
		static wstring GetModuleDirectory( void );
		static string WStringToString( const wstring &s );
		static wstring StringToWString( const string &s );
		static wstring EncodeToUrl( const wstring &s );
		static HWND GetConsoleWindow();
		static unsigned int GetFileSize( const wstring &path );
		static int GreatestCommonDivisor( int m, int n );  //ő
		static int LeastCommonMultiple( int m, int n );  //ŏ{
	};
}
